Job Router - Delete Distribution Policy
Delete a distribution policy by Id
DELETE {endpoint}/routing/distributionPolicies/{id}?api-version=2021-10-20-preview2
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
The endpoint of the Azure Communication resource. |
|
id
|
path | True |
string |
Id of the distribution policy |
|
api-version
|
query | True |
string |
Version of API to invoke. |
Responses
| Name | Type | Description |
|---|---|---|
| 204 No Content |
Success |
|
| Other Status Codes |
Error |
Examples
Delete a Distribution policy
Sample request
DELETE https://contoso.westus.communications.azure.com/routing/distributionPolicies/MainDistributionPolicy?api-version=2021-10-20-preview2
Sample response
Definitions
| Name | Description |
|---|---|
|
Communication |
The Communication Services error. |
|
Communication |
The Communication Services error. |
CommunicationError
The Communication Services error.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| details |
Further details about specific errors that led to this error. |
|
| innererror |
The inner error if any. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
CommunicationErrorResponse
The Communication Services error.
| Name | Type | Description |
|---|---|---|
| error |
The Communication Services error. |